NX Open C++ Reference Guide
|
Represents a Rotor Section sub feature. More...
Public Member Functions | |
NXOpen::Die::DieBuildStatusOption | BuildStatus () |
Returns the build status of the die rotor casting Created in NX4.0.0. | |
bool | DesignStatus () |
Returns the design status of the die rotor casting Created in NX4.0.0. | |
bool | DisplayStatus () |
Returns the display status of the die rotor casting Created in NX4.0.0. | |
void | GetEndAttributes (NXString *title, NXString *value, int *color) |
Gets the end faces attributes Created in NX4.0.0. | |
void | GetFlangeWallAttributes (NXString *title, NXString *value, int *color) |
Gets the flange wall faces attributes Created in NX4.0.0. | |
void | GetFormingAttributes (NXString *title, NXString *value, int *color) |
Gets the forming faces attributes Created in NX4.0.0. | |
void | GetRotorAttributes (NXString *title, NXString *value, int *color) |
Gets the rotor faces attributes Created in NX4.0.0. | |
NXOpen::Expression * | MinimumCavityDepth () |
Returns the throat minimum cavity depth of the die rotor casting Created in NX4.0.0. | |
NXOpen::Expression * | MinimumExtensionLength () |
Returns the throat minimum extension length of the die rotor casting Created in NX4.0.0. | |
void | SetDesignStatus (bool designStatus) |
Sets the design status of the die rotor casting Created in NX4.0.0. | |
void | SetDisplayStatus (bool displayStatus) |
Sets the display status of the die rotor casting Created in NX4.0.0. | |
void | SetEndAttributes (const NXString &title, const NXString &value, int color) |
Sets the end faces attributes Created in NX4.0.0. | |
void | SetEndAttributes (const char *title, const char *value, int color) |
Sets the end faces attributes Created in NX4.0.0. | |
void | SetFlangeWallAttributes (const NXString &title, const NXString &value, int color) |
Sets the flange wall faces attributes Created in NX4.0.0. | |
void | SetFlangeWallAttributes (const char *title, const char *value, int color) |
Sets the flange wall faces attributes Created in NX4.0.0. | |
void | SetFormingAttributes (const NXString &title, const NXString &value, int color) |
Sets the forming faces attributes Created in NX4.0.0. | |
void | SetFormingAttributes (const char *title, const char *value, int color) |
Sets the forming faces attributes Created in NX4.0.0. | |
void | SetMinimumCavityDepth (const NXString &minimumCavityDepth) |
Created in NX4.0.0. | |
void | SetMinimumCavityDepth (const char *minimumCavityDepth) |
Created in NX4.0.0. | |
void | SetMinimumExtensionLength (const NXString &minimumExtensionLength) |
Created in NX4.0.0. | |
void | SetMinimumExtensionLength (const char *minimumExtensionLength) |
Created in NX4.0.0. | |
void | SetRotorAttributes (const NXString &title, const NXString &value, int color) |
Sets the rotor faces attributes Created in NX4.0.0. | |
void | SetRotorAttributes (const char *title, const char *value, int color) |
Sets the rotor faces attributes Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Rotor Section sub feature.
This sub feature is created via the main feature builder.
Created in NX4.0.0.
NXOpen::Die::DieBuildStatusOption NXOpen::Die::RotorSectionBuilder::BuildStatus | ( | ) |
Returns the build status of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::RotorSectionBuilder::DesignStatus | ( | ) |
Returns the design status of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::RotorSectionBuilder::DisplayStatus | ( | ) |
Returns the display status of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::RotorSectionBuilder::GetEndAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the end faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of end faces |
void NXOpen::Die::RotorSectionBuilder::GetFlangeWallAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the flange wall faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of flange wall faces |
void NXOpen::Die::RotorSectionBuilder::GetFormingAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the forming faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of forming faces |
void NXOpen::Die::RotorSectionBuilder::GetRotorAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the rotor faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of rotor faces |
NXOpen::Expression* NXOpen::Die::RotorSectionBuilder::MinimumCavityDepth | ( | ) |
Returns the throat minimum cavity depth of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::RotorSectionBuilder::MinimumExtensionLength | ( | ) |
Returns the throat minimum extension length of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::RotorSectionBuilder::SetDesignStatus | ( | bool | designStatus | ) |
Sets the design status of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
designStatus | design status |
void NXOpen::Die::RotorSectionBuilder::SetDisplayStatus | ( | bool | displayStatus | ) |
Sets the display status of the die rotor casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
displayStatus | display status |
void NXOpen::Die::RotorSectionBuilder::SetEndAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the end faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of end faces |
void NXOpen::Die::RotorSectionBuilder::SetEndAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the end faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of end faces |
void NXOpen::Die::RotorSectionBuilder::SetFlangeWallAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the flange wall faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of flange wall faces |
void NXOpen::Die::RotorSectionBuilder::SetFlangeWallAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the flange wall faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of flange wall faces |
void NXOpen::Die::RotorSectionBuilder::SetFormingAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the forming faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of forming faces |
void NXOpen::Die::RotorSectionBuilder::SetFormingAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the forming faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of forming faces |
void NXOpen::Die::RotorSectionBuilder::SetMinimumCavityDepth | ( | const NXString & | minimumCavityDepth | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
minimumCavityDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::RotorSectionBuilder::SetMinimumCavityDepth | ( | const char * | minimumCavityDepth | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
minimumCavityDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::RotorSectionBuilder::SetMinimumExtensionLength | ( | const NXString & | minimumExtensionLength | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
minimumExtensionLength | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::RotorSectionBuilder::SetMinimumExtensionLength | ( | const char * | minimumExtensionLength | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
minimumExtensionLength | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::RotorSectionBuilder::SetRotorAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the rotor faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of forming faces |
void NXOpen::Die::RotorSectionBuilder::SetRotorAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the rotor faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of forming faces |